Bug 1269622 - [RFE] support override of API and RPC worker counts
[RFE] support override of API and RPC worker counts
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: rdo-manager (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: Kilo
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks: 1279607 1282429
  Show dependency treegraph
 
Reported: 2015-10-07 14:55 EDT by Brent Eagles
Modified: 2016-05-19 11:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1279607 1282429 (view as bug list)
Environment:
Last Closed: 2016-05-19 11:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Eagles 2015-10-07 14:55:22 EDT
Description of problem:

Currently, the API and RPC worker counts are calculated to match the number of processors. Given that multiple components support multiple worker processes for different services, this can result in a lot of processes depending on the node role. Providing the ability to control the worker counts would allow purpose-driven tuning.
Comment 1 Brent Eagles 2015-10-13 12:01:27 EDT
The relevant configuration items are found in /etc/neutron.conf and they are:

api_workers = [integer value >= 0] 
rpc_workers = [integer value >= 0]

for kilo: 0 means no separate process for worker threads
Comment 4 Chandan Kumar 2016-05-19 11:35:20 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.